Description

The device is an ABB FEX300 (or FEX 500). The request (from Vijay@CSR) is to be able to read the meter remotely, as a first step.

History

#1 - 10/04/2019 13:02 - Philippe May

That meter has several protocols:

e HART (https:/en.wikipedia.org/wiki/Highway Addressable Remote_Transducer_Protocol)

¢ Profibus PA (https://en.wikipedia.org/wiki/Profibus)

¢ Foundation Fieldbus (https://en.wikipedia.org/wiki/Foundation_Fieldbus)

At this point, it's worth considering RaspberryPi as a network interface (eg, see
https://stackoverflow.com/questions/37926229/how-to-connect-raspberry-pi-and-profibus)

Alternatively, one option would be to access the electrical monitoring of the pump, which is driven apparently by something like
http://www.ceweinstrument.se/files/4614/2114/2703/Programmable_transducer A0124e-1014.pdf , and accessible from 192.168.16.50:502
(Aurinoco).

The good news is that OFC goes there.

#2 - 11/04/2019 01:53 - Philippe May
Aren't there Rasperry Pi based interface for fieldbus? It seems so:
https://www.dtronixs.com/?p=183

https://revolution.kunbus.com
http://linuxgizmos.com/rugged-linux-box-pc-excels-at-industrial-fieldbuses/

Fieldbus/USB interfaces:

https://www.thorsis.com/en/industrial-automation/usb-interfaces/foundation-fieldbus/isff-usb/
#3 - 11/04/2019 13:00 - Philippe May
- File fex300.pdf added

#4 - 24/05/2019 23:37 - Philippe May

- Status changed from New to Rejected

There was a rather difficult interaction with Gilles B. on this topic.

| would have liked to help, but it's going out of my hands.

Files

fex300.pdf 4.72 MB 11/04/2019 Philippe May

13/08/2025 22


http://www.tcpdf.org

